# libdar::bool_mask Class Reference
[API]

boolean mask, either always true or false More...

`#include <mask.hpp>`

Inherits libdar::mask.

List of all members.

## Public Member Functions
| bool_mask (bool always)
| the constructor
bool | is_covered (const std::string &) const
| inherited from the mask class
mask * | clone () const
| inherited from the mask class

## Detailed Description

boolean mask, either always true or false

it matches all files or no files at all

Definition at line 82 of file mask.hpp.

## Constructor & Destructor Documentation

libdar::bool_mask::bool_mask | ( | bool | always | ) | `[inline]`

the constructor

Parameters:

  `[in]` | always | is the value that this mask will always return when the is_covered method will be used

Note:
  once initialized an object cannot change its behavior

Definition at line 90 of file mask.hpp.

Referenced by clone().

The documentation for this class was generated from the following file:

- mask.hpp